{
	"schema": "https://iot.ikonke.com/schema.json",
	"productType": "curtain",
	"profile": {
		"productCode": "24",
		"productName": "智能窗帘电机（杜亚）"
	},
	"services": [{
		"outputData": [],
		"identifier": "set",
		"inputData": [{
			"identifier": "OperationMode",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "开启",
					"2": "暂停"
				},
				"type": "enum"
			},
			"name": "窗帘操作模式"
		}, {
			"identifier": "Position",
			"dataType": {
				"specs": {
					"unit": "%",
					"min": "0",
					"unitName": "百分比",
					"max": "100",
					"step": "1"
				},
				"type": "int"
			},
			"name": "窗帘打开位置"
		}, {
			"identifier": "WorkMode",
			"dataType": {
				"specs": {
					"0": "正转",
					"1": "反转",
					"2": "校验"
				},
				"type": "enum"
			},
			"name": "窗帘工作模式"
		}],
		"method": "thing.service.property.set",
		"name": "set",
		"required": true,
		"callType": "async",
		"desc": "属性设置"
	}, {
		"outputData": [{
			"identifier": "OperationMode",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "开启",
					"2": "暂停"
				},
				"type": "enum"
			},
			"name": "窗帘操作模式"
		}, {
			"identifier": "Position",
			"dataType": {
				"specs": {
					"unit": "%",
					"min": "0",
					"unitName": "百分比",
					"max": "100",
					"step": "1"
				},
				"type": "int"
			},
			"name": "窗帘打开位置"
		}, {
			"identifier": "WorkMode",
			"dataType": {
				"specs": {
					"0": "正转",
					"1": "反转",
					"2": "校验"
				},
				"type": "enum"
			},
			"name": "窗帘工作模式"
		}],
		"identifier": "get",
		"inputData": ["OperationMode", "Position", "WorkMode"],
		"method": "thing.service.property.get",
		"name": "get",
		"required": true,
		"callType": "async",
		"desc": "属性获取"
	}],
	"properties": [{
		"identifier": "OperationMode",
		"dataType": {
			"specs": {
				"0": "关闭",
				"1": "开启",
				"2": "暂停"
			},
			"type": "enum"
		},
		"name": "窗帘操作模式",
		"accessMode": "rw",
		"required": true
	}, {
		"identifier": "WorkMode",
		"dataType": {
			"specs": {
				"0": "正转",
				"1": "反转",
				"2": "校验"
			},
			"type": "enum"
		},
		"name": "窗帘工作模式",
		"accessMode": "rw",
		"required": true
	}, {
		"identifier": "Position",
		"dataType": {
			"specs": {
				"unit": "%",
				"min": "0",
				"unitName": "百分比",
				"max": "100",
				"step": "1"
			},
			"type": "int"
		},
		"name": "窗帘打开位置",
		"accessMode": "rw",
		"required": true
	}],
	"events": [{
		"outputData": [{
			"identifier": "OperationMode",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "开启",
					"2": "暂停"
				},
				"type": "enum"
			},
			"name": "窗帘操作模式"
		}, {
			"identifier": "Position",
			"dataType": {
				"specs": {
					"unit": "%",
					"min": "0",
					"unitName": "百分比",
					"max": "100",
					"step": "1"
				},
				"type": "int"
			},
			"name": "窗帘打开位置"
		}, {
			"identifier": "WorkMode",
			"dataType": {
				"specs": {
					"0": "正转",
					"1": "反转",
					"2": "校验"
				},
				"type": "enum"
			},
			"name": "窗帘工作模式"
		}],
		"identifier": "property",
		"method": "thing.event.property.post",
		"name": "property",
		"type": "info",
		"required": true,
		"desc": "属性上报"
	}]
}